Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfTextArray

    java.lang.Object
      com.lowagie.text.pdf.PdfTextArray

    public class PdfTextArray

extends Object

`PdfTextArray` defines an array with displacements and `PdfString`-objects.

A `TextArray` is used with the operator TJ in `PdfText`. The first object in this array has to be a `PdfString`; see reference manual version 1.3 section 8.7.5, pages 346-347. OR see reference manual version 1.6 section 5.3.2, pages 378-379.

Field Summary
`(package private) ArrayList` | `arrayList`
`private Float` | `lastNum`
`private String` | `lastStr`

Constructor Summary
`PdfTextArray()`
`PdfTextArray(String str)`

Method Summary
`void` | `add(float number)`
`void` | `add(PdfNumber number)` Adds a `PdfNumber` to the `PdfArray`.
`void` | `add(String str)`
`(package private) ArrayList` | `getArrayList()`
`private void` | `replaceLast(Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrayList

    ArrayList arrayList

### lastStr

    private String lastStr

### lastNum

    private Float lastNum

Constructor Detail

### PdfTextArray

    public PdfTextArray(String str)

### PdfTextArray

    public PdfTextArray()

Method Detail

### add

    public void add(PdfNumber number)

  Adds a `PdfNumber` to the `PdfArray`.

  Parameters:
    `number` - displacement of the string

### add

    public void add(float number)

### add

    public void add(String str)

### getArrayList

    ArrayList getArrayList()

### replaceLast

    private void replaceLast(Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD